RK-J - Task #2485

Feature # 2484 (Closed): Resume ingestion automatically

Resume ingestion automatically on application startup.
07/07/2022 08:24 AM - Ayush Khandelwal

Status: Closed Start date: 07/07/2022
Priority: High Due date: 07/07/2022
Assignee: Ayush Khandelwal % Done: 100%
Category: Estimated time: 3.00 hours
Target version: 1-RK-J-1 Spent time: 0.00 hour
Description

Scheme for the ticket:

OnApplicationStartup:
for (book : books):
if('book' is in on-going state like 'In-progress', 'Updating', 'Completed/In-progress', 'Com
pleted/Find-Comparable-Doc"') :
check last updated time of a 'book' for the ingestion i.e. X = (now - lastUpdatedTime) mi
nutes
if (isResumeAllowed (X)) :
resume the ingestion for a 'book'

isResumeAllowed (X) :
waiting_allow_time = 10 minutes
if(X - waiting_allow_time < 0):
sleep the thread for (waiting_allow_time-X) minutes
return true;

Reference for running the application on startup:

1. https://stackoverflow.com/questions/6684451/executing-a-java-class-at-application-startup-using-spring-mvc
2. https://www.baeldung.com/spring-scheduled-tasks#setting-delay-or-rate-dynamically-at-runtime

Reference for calling the method by some delay:

1. https://stackoverflow.com/questions/19999231/how-to-start-a-thread-after-specified-time-delay-in-java
2. https://www.baeldung.com/java-delay-code-execution

History

#1 - 07/07/2022 08:27 AM - Venmuhilan B

- Status changed from New to In Progress

#2 - 07/08/2022 09:05 AM - Venmuhilan B
- % Done changed from 0 to 90

#3 - 07/08/2022 04:26 PM - Venmuhilan B
- Status changed from In Progress to Resolved

- % Done changed from 90 to 100

#4 - 07/27/2022 12:27 PM - Venmuhilan B
- Status changed from Resolved to Feedback

- Assignee changed from Venmuhilan B to Ayush Khandelwal

#5 - 10/14/2022 01:46 PM - Ayush Khandelwal
- Status changed from Feedback to Closed
Working as expected
